Layout-API

Layout-API

1.3.0OAS 3.0

The Layout API provides the following services:

  • Digital Receipts (Kassenbons/Kassabons),
  • Digital Warranties (Garantiescheine)
  • Account Statements (Cumulus Kontoauszug, Zwei-Monats-Versand)
  • Purchases (Fachmarkt Einkäufe), deprecated

HTTP status codes conform to RFC 7231 sect. 6 and are not listed explicitly.
Any non success response doesn’t contain machine consumable data in the
response body.

API Base URL
  • Server 1:https://api.migros.ch

    URL of upstream

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

Account-Statement

Collection periods (Sammlungsperioden)

'Each ‘‘collection period’’ is identified by a 5-digit number: 4 digits of the year and 1 digit for the period. Which month belongs to which of the six periods per year is complicated.

This service helps finding the period ID, start- and end-date of the period and whether the account statement is available for the last n periods.’

get
https://api.migros.ch/migros/customers/account-statements/v1/collection-period

Query Parameters

totalinteger

Number of periods with available account statements (flag=1), default is 6 (which corresponds to one year). Often total+1 periods are returned with the most recent having flag=0, indicationg that the account statement (Kontoauszug) is not ready yet.

Default:6

Response

200 application/json

list of collection periods

CollectionPeriodResponse

dateFromstringrequired
dateTostringrequired
flagnumberrequired

1: Accountstatement available for this period. 0: Accountstatemen not yet available.

periodIdnumberrequired
get/migros/customers/account-statements/v1/collection-period
 
200 application/json